Subject: Re: [PATCH 0/4] deprecating core.preferSymlinkRefs

From: Junio C Hamano <[email-masked]>
Date: Wed, 18 Sep 2024 17:26:39 -0700

Derrick Stolee <[email-masked]> writes:

> I do like the idea of having someone set 'feature.git3=true' in
> their global config and having that mean that they are ready to
> accept the Git 3.0 breaking changes as they are available in
> a Git 2.x release. As much early testing as we can get would be
> beneficial.
>
> This would be a way to get your patches 2 & 3 into 'master' and
> released, but I'm not sure exactly how to keep patch 4 queued
> for a potential future release.

I actually am not worried about that one, i.e., "Clean-up phase",
even less than I would worry about the "Proposal phase".  Cleaning
up after the dust settles can be done at a leisurely pace after the
big version bump.

I think the feature.git3 opt-in knob would be a nice approach.
Thanks.